package org.jeecg.modules.fbsPuArrivalvouch.service;

import org.jeecg.modules.fbsPuArrivalvouch.entity.FbsPuArrivalvouch;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 采购到货退货单主表（表头）
 * @author： jeecg-boot
 * @date：   2020-10-21
 * @version： V1.0
 */
public interface IFbsPuArrivalvouchService extends IService<FbsPuArrivalvouch> {
    List<Map<String,Object>> getWatingCheckList();

    int getCheckSum();

    List<Map<String,Object>> getWatingInList();

    int getInSum();

    /**
    * @Author chenchuang
    * @Description //TODO 当月供应商合格率实时展示
    * @Date 2020/10/27 14:44
    * @Param []
    * @return java.util.List<org.jeecg.modules.fbsPuArrivalvouch.entity.FbsPuArrivalvouch>
    */
    Map<String,Object> getPassRateByVendor();


    /**
     * @Author chenchuang
     * @Description //TODO 品质看板：当天到货批数
     * @Date 2020/10/27 15:33
     * @Param []
     * @return java.lang.Integer
     */
    Integer getTodayArriveSum();

    /**
     * @Author chenchuang
     * @Description //TODO 品质看板:未来3天的到货总批数
     * @Date 2020/10/27 15:34
     * @Param []
     * @return java.lang.Integer
     */
    Integer getWillArriveSum();

    /**
     * @Author chenchuang
     * @Description //TODO 品质看板:当月到货总批数
     * @Date 2020/10/27 15:35
     * @Param []
     * @return java.lang.Integer
     */
    Integer getThisMonthArriveSum();

    /**
    * @Author chenchuang
    * @Description //TODO 品质看板:未入库批数
    * @Date 2020/10/28 16:00
    * @Param []
    * @return java.lang.Integer
    */
    Integer getNotInSum();

    /**
    * @Author chenchuang
    * @Description //TODO 品质看板：当月供检验合格率
    * @Date 2020/10/28 16:03
    * @Param []
    * @return java.util.List<org.jeecg.modules.fbsPuArrivalvouch.entity.FbsPuArrivalvouch>
    */
    Map<String,Object> getCheckRateByBatchno();

    /**
    * @Author chenchuang
    * @Description //TODO 品质看板质量异常信息
    * @Date 2020/11/5 19:50
    * @Param []
    * @return java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
    */
    List<Map<String,Object>> getQualityUnpassList();
}
